List escrow transactions
curl --request GET \
--url https://staging.api.payluk.ng/v1/escrow/transactions \
--header 'Authorization: Bearer <token>' \
--header 'customer-id: <customer-id>'import requests
url = "https://staging.api.payluk.ng/v1/escrow/transactions"
headers = {
"customer-id": "<customer-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'customer-id': '<customer-id>', Authorization: 'Bearer <token>'}
};
fetch('https://staging.api.payluk.ng/v1/escrow/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Transaction fetched successfully",
"data": {
"data": [
{
"id": "6a3cdafc734e96016b227367",
"amount": 1000,
"purpose": "multi-purpose escrow item",
"description": "details",
"whoPays": "buyer",
"imageUrl": null,
"fee": 30,
"paymentToken": "PY_TIrNY1CD3836",
"paidAt": "1782373118",
"status": "ONGOING",
"state": "OPENED",
"logs": [],
"channel": "API",
"isSeller": true,
"dispute": null,
"paymentDetails": {
"id": "6a3cdafd734e96016b22736b",
"amount": 1030,
"status": "success",
"reference": "rthyjyutj",
"fee": 0,
"transactionType": "escrow",
"currency": "NGN",
"createdAt": "2026-06-25T07:38:38.003Z"
},
"category": null,
"completedAt": null,
"approvedClaimBy": null,
"refundedBy": null,
"maxDelivery": 1,
"deliveryTimeline": "hours",
"totalQuantity": 1,
"settlementType": "STANDARD",
"milestones": [],
"createdAt": "2026-06-25T07:38:37.283Z",
"updatedAt": "2026-06-25T07:38:38.922Z"
},
{
"id": "6a3cd9b1734e96016b22732e",
"amount": 1000,
"purpose": "multi-purpose escrow item",
"description": "details",
"whoPays": "buyer",
"imageUrl": null,
"fee": 30,
"paymentToken": "PY_V2bRgyPJ3305",
"paidAt": null,
"status": "PENDING",
"state": "AWAITING_PAYMENT",
"logs": [],
"channel": "API",
"isSeller": true,
"dispute": null,
"paymentDetails": null,
"category": null,
"completedAt": null,
"approvedClaimBy": null,
"refundedBy": null,
"maxDelivery": 1,
"deliveryTimeline": "hours",
"totalQuantity": 2,
"settlementType": "STANDARD",
"milestones": [],
"createdAt": "2026-06-25T07:33:05.400Z",
"updatedAt": "2026-06-25T07:38:39.619Z"
},
{
"id": "6a2d53ebfa797d3af379de94",
"amount": 1000,
"purpose": "test",
"description": "details",
"whoPays": "seller",
"imageUrl": null,
"fee": 30,
"paymentToken": "PY_unETaAQs5819",
"paidAt": null,
"status": "PENDING",
"state": "AWAITING_PAYMENT",
"logs": [],
"channel": "API",
"isSeller": true,
"dispute": null,
"paymentDetails": null,
"category": null,
"completedAt": null,
"approvedClaimBy": null,
"refundedBy": null,
"maxDelivery": 1,
"deliveryTimeline": "hours",
"totalQuantity": 2,
"milestones": null,
"createdAt": "2026-06-13T12:58:19.206Z",
"updatedAt": "2026-06-13T12:58:19.206Z"
}
],
"pagination": {
"count": 3,
"pages": 1,
"isLastPage": true,
"nextPage": null,
"previousPage": null
},
"report": {
"total": 0,
"completed": 0,
"ongoing": 0,
"dispute": 0,
"amount": {
"total": 3000,
"completed": 0,
"ongoing": 1000,
"dispute": 0
}
}
}
}3. Create the deal: Escrow
List escrow transactions
Paginated list of the authenticated user’s escrows, filtered by type (sales or buy).
GET
/
v1
/
escrow
/
transactions
List escrow transactions
Authorizations
Your secret key as a Bearer token. The key prefix selects the environment: sk_test_... (test) or sk_live_... (live).
Headers
The merchant customer this request acts on behalf of.
Query Parameters
Whether to return escrows you are selling or buying.
Available options:
sales, buy Page number (1-based).
Items per page.
High-level escrow status.
Available options:
PENDING, ONGOING, COMPLETED, REFUNDED, CLAIMED, DISPUTED, INVESTIGATING Response
Paginated escrows.
⌘I